> ## Documentation Index > Fetch the complete documentation index at: https://support.keypro.fi/llms.txt > Use this file to discover all available pages before exploring further. # Create connections > Operation is used to create new connections. Available from product version 3.4.0. ## OpenAPI ````json POST /sections/{section_id}/create_connections/ { "openapi": "3.0.4", "info": { "title": "KeyCom REST API", "termsOfService": "https://www.keypro.fi/en/terms-of-service", "contact": { "name": "Keypro Oy", "url": "https://keypro.fi/", "email": "keypro@keypro.fi" }, "license": { "name": "Copyright (C) Keypro Oy. All rights reserved.", "url": "https://www.keypro.fi/" }, "version": "2.0.0" }, "servers": [ { "url": "/api/v2" } ], "tags": [ { "name": "Plan", "description": "Plan related operations." }, { "name": "FreeArea", "description": "FreeArea related operations." }, { "name": "FreeLine", "description": "FreeLine related operations." }, { "name": "FreeText", "description": "FreeText related operations." }, { "name": "FreeTextComponent", "description": "FreeText component related operations." }, { "name": "Address", "description": "Building address related operations." }, { "name": "Apartment", "description": "Building apartments related operations." }, { "name": "Extra Attribute", "description": "Extra attributes related operations." }, { "name": "Extra Value", "description": "Extra attribute values related operations." }, { "name": "EAV Enum", "description": "EAV Enum value related operations." }, { "name": "EAV Enum Group", "description": "EAV Enum group related operations." }, { "name": "External Document", "description": "External documents related operations." }, { "name": "Attached Document", "description": "Attached Documents related operations." }, { "name": "Collections", "description": "Collection related operations." }, { "name": "Source system apartment", "description": "External source system derived apartment related operations." }, { "name": "Source system address", "description": "External source system derived address related operations." }, { "name": "Address alias", "description": "Address aliases related operations" }, { "name": "TxtConstant", "description": "TxtConstants related operations." }, { "name": "Point", "description": "Point objects related operations." }, { "name": "Survey Constant", "description": "Survey Constants related operations." }, { "name": "Survey Point", "description": "Survey Points related operations." }, { "name": "Survey Line String", "description": "Survey Line Strings related operations." }, { "name": "Template Catalog", "description": "Template Catalog related operations." }, { "name": "Route Following", "description": "Route following related operations." }, { "name": "Contact Person", "description": "Contact person related operations." }, { "name": "Contact Person Connection", "description": "Contact person connection related operations." }, { "name": "Telecom premises", "description": "Telecom premises related operations." }, { "name": "Device", "description": "Device related operations." }, { "name": "Device Group", "description": "Device Group related operations." }, { "name": "Splice", "description": "Telecom Splice related operations." }, { "name": "Telecom Conduit", "description": "Telecom Conduit related operations." }, { "name": "Telecom Conduit Link", "description": "Operations related to putting Telecom Cables and Ducts into Conduits." }, { "name": "Telecom Duct", "description": "Telecom Duct related operations." }, { "name": "Telecom Duct Link", "description": "Operations related to putting Telecom Cables into Ducts." }, { "name": "Telecom Conduit Connection", "description": "Operations related to connecting Conduits and endpoints." }, { "name": "Telecom Cable Connection", "description": "Operations related to connecting Cables and endpoints" }, { "name": "Telecom Thread/Port Connection", "description": "Operations related to connecting and disconnecting telecom cable threads and device ports" }, { "name": "Telecom Duct Connection", "description": "Operations related to connecting Telecom Ducts to Telecom Premises or Manhole." }, { "name": "Manhole", "description": "Telecom Manhole related operations." }, { "name": "Cable", "description": "Telecom Cable related operations." }, { "name": "Cable Appendix", "description": "Cable Appendix operations for connecting Cables to loops. Manages the relationship between Cables and loops, automatically adjusting Cable extra_length when appendixes are created, updated, or deleted." }, { "name": "Supercable", "description": "Telecom Supercable related operations." }, { "name": "Cross connection point", "description": "Cross connection point related operations." }, { "name": "Service Area", "description": "Service Area related operations." }, { "name": "Exchange Area", "description": "Exchange Area related operations." }, { "name": "Telecom Area", "description": "Telecom Area related operations." }, { "name": "Routefollower", "description": "Routefollower related operations." }, { "name": "Circuit", "description": "Circuit related operations." }, { "name": "Circuit Location", "description": "Circuit installation location related operations." }, { "name": "Circuit Section", "description": "Circuit section related operations." }, { "name": "Circuit Reservation Data", "description": "Circuit reservation data view and search operations." }, { "name": "Customer", "description": "Customer data related operations." }, { "name": "Passed Services", "description": "Passed Services related operations." }, { "name": "Circuit Connection", "description": "Circuit logical reservations related operations." }, { "name": "Circuit Physical Reservation", "description": "Circuit physical reservations related operations." }, { "name": "Create connections", "description": "Operation used to create new connections." }, { "name": "Terminal type", "description": "Terminal types related operations." }, { "name": "Logical connections", "description": "Logical connections related operations." }, { "name": "Circuit Services", "description": "Operations provided by micro services." }, { "name": "Contract", "description": "Contract related operations." }, { "name": "Contract Link", "description": "Contract link related operations." }, { "name": "Pole", "description": "Pole related operations." }, { "name": "Circuit faults", "description": "Circuit faults related operations." }, { "name": "Duct groups", "description": "Duct groups related operations." }, { "name": "Duct group rows", "description": "Duct group rows related operations." }, { "name": "Threads", "description": "Cable thread related operations." }, { "name": "Task", "description": "Task related operations." }, { "name": "Subregion", "description": "Subregion related operations." }, { "name": "SAttribute", "description": "SAttribute related operations." }, { "name": "Fault", "description": "Fault related operations." }, { "name": "Maintenance history", "description": "Maintenance history related operations." }, { "name": "Deflection", "description": "Deflection related operations." }, { "name": "Fault Component", "description": "Fault Component related operations." }, { "name": "Task Comment", "description": "Task comment related operations." }, { "name": "FaultComponentFault", "description": "FaultComponentFault related operations." } ], "paths": { "/sections/{section_id}/create_connections/": { "post": { "tags": [ "Create connections" ], "summary": "Create connections", "description": "Operation is used to create new connections. Available from product version 3.4.0.\n", "operationId": "createConnection", "parameters": [ { "name": "section_id", "in": "path", "description": "Uniquie identifier integer value for the circuit section which you would like to create connections for", "required": true, "schema": { "type": "integer" } } ], "responses": { "200": { "description": "List of created Ccp connections", "content": { "application/json": { "schema": { "type": "array", "items": { "$ref": "#/components/schemas/CcpConnection" }, "description": "List of created Ccp connections" }, "example": [ { "cableLength": null, "ccp1Id": "https://example.keypro.fi/api/v2/ccps/106469810/", "ccp1PremId": "https://example.keypro.fi/api/v2/ccps/4545690/", "ccp1TermId": "https://example.keypro.fi/api/v2/ccps/3861090/", "ccp2Id": "https://example.keypro.fi/api/v2/ccps/106470510/", "ccp2PremId": "https://example.keypro.fi/api/v2/ccps/4545710/", "ccp2TermId": "https://example.keypro.fi/api/v2/ccps/3861110/", "connectionType": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "KN_CONNECTION_TYPE", "id": 6210, "list_url": "https://example.keypro.fi/api/v2/txt_constants/groupname/KN_CONNECTION_TYPE/", "logical_txt": "Vastinpistekytkentä", "num_value": 1.0, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Other end connection" }, "constState": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "KN_CONST_STATE", "id": 6110, "list_url": "https://example.keypro.fi/api/v2/txt_constants/groupname/KN_CONST_STATE/", "logical_txt": "Rakenteilla", "num_value": 4.0, "num_value2": 1.0, "num_value3": null, "num_value4": null, "txt": "Under construction" }, "directionId": null, "id": 1823750 }, { "cableLength": null, "ccp1Id": "https://example.keypro.fi/api/v2/ccps/106470510/", "ccp1PremId": "https://example.keypro.fi/api/v2/ccps/4545710/", "ccp1TermId": "https://example.keypro.fi/api/v2/ccps/3861110/", "ccp2Id": "https://example.keypro.fi/api/v2/ccps/106471330/", "ccp2PremId": "https://example.keypro.fi/api/v2/ccps/4545730/", "ccp2TermId": "https://example.keypro.fi/api/v2/ccps/3861130/", "connectionType": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "KN_CONNECTION_TYPE", "id": 6210, "list_url": "https://example.keypro.fi/api/v2/txt_constants/groupname/KN_CONNECTION_TYPE/", "logical_txt": "Vastinpistekytkentä", "num_value": 1.0, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Other end connection" }, "constState": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "KN_CONST_STATE", "id": 6110, "list_url": "https://example.keypro.fi/api/v2/txt_constants/groupname/KN_CONST_STATE/", "logical_txt": "Rakenteilla", "num_value": 4.0, "num_value2": 1.0, "num_value3": null, "num_value4": null, "txt": "Under construction" }, "directionId": null, "id": 1823770 } ] } } }, "400": { "description": "There was an error in request. Usually field validation failed.", "content": { "application/json": { "schema": { "minProperties": 1, "type": "object", "additionalProperties": { "type": "array", "items": { "type": "string", "description": "Validation error" }, "description": "List of validation errors for this fieldname" }, "description": "Fields which failed validation" } } } }, "401": { "$ref": "#/components/responses/Http401" } }, "security": [ { "Token": [] } ] } } }, "components": { "schemas": { "CcpConnection": { "type": "object", "properties": { "attenuation": { "type": "number", "description": "Connection attenuation", "format": "float" }, "cableLength": { "type": "number", "description": "Cable length", "format": "float" }, "ccp1Id": { "type": "string", "description": "Url to fetch details of first cross connection point.", "format": "url" }, "ccp1PremId": { "type": "string", "description": "Url to fetch details of first premises.", "format": "url" }, "ccp1TermId": { "type": "string", "description": "Url to fetch details of first terminal.", "format": "url" }, "ccp2Id": { "type": "string", "description": "Url to fetch details of second cross connection point.", "format": "url" }, "ccp2PremId": { "type": "string", "description": "Url to fetch details of second premises.", "format": "url" }, "ccp2TermId": { "type": "string", "description": "Url to fetch details of second terminal.", "format": "url" }, "connectionType": { "$ref": "#/components/schemas/CcpConnectionType" }, "constState": { "$ref": "#/components/schemas/ConstructionState" }, "directionId": { "$ref": "#/components/schemas/ConnectionDirection" }, "id": { "type": "integer", "description": "Primary key", "readOnly": true } } }, "CcpConnectionType": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "KN_CONNECTION_TYPE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Connection type" }, "ConstructionState": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "KN_CONST_STATE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Txt constants construction state" }, "ConnectionDirection": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "KN_CONN_DIR" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Connection direction" }, "ErrorDetailsResponse": { "required": [ "details" ], "type": "object", "properties": { "details": { "type": "string", "description": "Detailed description of error" } }, "description": "Standard error response payload" } }, "responses": { "Http401": { "description": "Authentication credentials are missing or invalid", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ErrorDetailsResponse" }, "example": { "details": "Authentication credentials were not provided" } } } } }, "securitySchemes": { "Token": { "type": "apiKey", "description": "Token issued for API consumer.", "name": "Authorization", "in": "header" } } } } ````